Subject: Re: bug#74946: [PATCH] * lisp/files.el (auto-mode-alist): Include gdbinit too

From: Stefan Kangas <[email-masked]>
Date: Sun, 22 Dec 2024 02:08:05 +0000

Version: 31.1

Eli Zaretskii <[email-masked]> writes:

>> From: Stefan Kangas <[email-masked]>
>> Date: Thu, 19 Dec 2024 17:55:22 -0500
>> Cc: [email-masked], [email-masked], [email-masked]
>>
>> >   .gdbinit.in
>> >   .gdbinit
>> >   _gdbinit (for MS-DOS)
>> >   gdb.ini (likewise)
>> >   gdbinit
>> >   gdbinit.in
>> >   SOMETHING-gdbinit
>> >   .gdbinit.loader
>> >   gdbinit-history.exp (not a GDB init file)
>> >   gdbinit.5 (likewise)
>> >   gdbinit.c (likewise)
>> >   .gdbinit.py.in (likewise)
>> >
>> > Should we improve the regexp to DTRT for those additional files, but
>> > without false positives?
>>
>> Maybe something like the below patch?
>
> Maybe.  Try it against any similar name you have on your system.  I
> used "locate -b gdbinit" to find matching files on mine.

Everything makes sense to me, so I pushed the change to master.
I'm closing this bug report with this message.

Please report back if you notice any problems.

Thanks!